SSLSessionBindingListener (Java Platform SE 8 )
Keywords: javax.net.ssl.SSLSessionBindingListener interface
Date: 2016-04-24

compact1, compact2, compact3
javax.net.ssl

## Interface SSLSessionBindingListener

- All Superinterfaces:
    EventListener

      public interface SSLSessionBindingListener
      extends EventListener

  This interface is implemented by objects which want to know when they are being bound or unbound from a SSLSession. When either event occurs via `SSLSession.putValue(String, Object)` or `SSLSession.removeValue(String)`, the event is communicated through a SSLSessionBindingEvent identifying the session.
  Since:
    1.4
  See Also:
    `SSLSession`, `SSLSessionBindingEvent`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `valueBound(SSLSessionBindingEvent event)` This is called to notify the listener that it is being bound into an SSLSession.
    `void` | `valueUnbound(SSLSessionBindingEvent event)` This is called to notify the listener that it is being unbound from a SSLSession.

- - ### Method Detail

    - #### valueBound

          void valueBound(SSLSessionBindingEvent event)

      This is called to notify the listener that it is being bound into an SSLSession.
      Parameters:
        `event` - the event identifying the SSLSession into which the listener is being bound.

    - #### valueUnbound

          void valueUnbound(SSLSessionBindingEvent event)

      This is called to notify the listener that it is being unbound from a SSLSession.
      Parameters:
        `event` - the event identifying the SSLSession from which the listener is being unbound.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.